org.apache.tomcat.dbcp.dbcp2.managed

## Interface TransactionContextListener

- All Known Implementing Classes:
    ManagedConnection.CompletionListener

      public interface TransactionContextListener

  A listener for transaction completion events.
  Since:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterCompletion(TransactionContext transactionContext, boolean committed)` Occurs after the transaction commits or rolls back.

- - ### Method Detail

    - #### afterCompletion

          void afterCompletion(TransactionContext transactionContext,
                               boolean committed)

      Occurs after the transaction commits or rolls back.
      Parameters:
        `transactionContext` - the transaction context that completed
        `committed` - true if the transaction committed; false otherwise

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.